Bug 1920566 - Saving bookmark with an existing/duplicate bookmark name doesn't show a clear error
Summary: Saving bookmark with an existing/duplicate bookmark name doesn't show a clear...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Search
Version: 6.9.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: 6.9.0
Assignee: satellite6-bugs
QA Contact: Lucie Vrtelova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-26 15:43 UTC by Kaushik Sajjan Agarwal
Modified: 2021-08-12 14:59 UTC (History)
7 users (show)

Fixed In Version: foreman-2.3.1.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:25:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31791 0 Normal Closed Saving bookmark with an existing/duplicate bookmark name doesn't show a clear error 2021-02-15 20:58:47 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:25:55 UTC

Description Kaushik Sajjan Agarwal 2021-01-26 15:43:45 UTC
Description of problem:

Saving a bookmark with an existing/duplicate bookmark name doesn't show a clear error.


Version-Release number of selected component (if applicable):

Red Hat Satellite 6.9 Beta


How reproducible:

Always


Steps to Reproduce:
1. Navigate to Monitor >> Tasks in Satellite GUI
2. Enter any search query and try to save the search query as a bookmark.
3. In the "Name" field provide an existing/duplicate bookmark name.
4. Click on "Submit"

Actual results:

The "Create Bookmark" form gets closed and the following error is displayed in the top right corner of the webpage:

"Oh no! Something went wrong while submitting the form, the server returned the following error: Error: Request failed with status code 422"

This is unclear.

Expected results:

If we follow the same Reproducer steps in Red Hat Satellite 6.8, the "Create Bookmark" form is not closed and an appropriate error "has already been taken" is displayed next to the "Name" field on the form.

Additional info:

Comment 1 Adam Ruzicka 2021-01-28 18:16:20 UTC
Not sure where to put this since we don't have a dedicated bookmarks component, going with Search for now.

Comment 2 Amir 2021-02-02 16:43:16 UTC
Created redmine issue https://projects.theforeman.org/issues/31791 from this bug

Comment 7 errata-xmlrpc 2021-04-21 13:25:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.